Subject: bug#10389: 24.0.92; Emacs window needs resizing after Mac OS X monitor change

From: Donald Tillman <[email-masked]>
Date: Tue, 27 Dec 2011 22:01:37 -0800

Hi,
 
On Mac OS X, 10.6.8; I'm using a 15 inch MacBook Pro and a Cinema Display monitor.  I've got the Emacs window some reasonable size for the monitor.  Then, when I remove the monitor, so there's only the MacBook screen, the Emacs window is stuck sized too large, with parts of the window off screen.  If the upper left green button and the lower right diagonal corner are off screen, I can't resize the window.  And if the top of the window is off screen I can't move the window.

There's an easy enough workaround, fanblade-N to create a new window, but I didn't know that the first time this happened.

  -- Don

--
Don Tillman
Palo Alto, California
[email-masked]
http://www.till.com

In GNU Emacs 24.0.92.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
 of 2011-12-02 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--host=x86_64-apple-darwin' '--build=i686-apple-darwin' '--with-ns' 'build_alias=i686-apple-darwin' 'host_alias=x86_64-apple-darwin' 'CC=gcc -mmacosx-version-min=10.5''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r t SPC b SPC <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message format-spec rfc822 mml easymenu
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader warnings emacsbug rainbow-mode-autoloads
svg-clock-autoloads package tabulated-list rmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process ns multi-tty
emacs)